Client

Client

Get a specific server for a client

get

Fetch a server by its UUID for a specific client.

Authorizations
X-API-KeystringRequired
Path parameters
clientIdintegerRequired

ID of the client

Example: 42
serverUuidstring · uuidRequired

UUID of the server

Example: 550e8400-e29b-41d4-a716-446655440000
Responses
200

Successful operation

application/json
get
/api/v1/client/{clientId}/server/{serverUuid}

Delete a specific server for a client

delete

Delete a server by its UUID for a specific client. The server must not be released already.

Authorizations
X-API-KeystringRequired
Path parameters
clientIdintegerRequired

ID of the client

Example: 42
serverUuidstring · uuidRequired

UUID of the server

Example: 550e8400-e29b-41d4-a716-446655440000
Responses
200

Release of server succesful

application/json
delete
/api/v1/client/{clientId}/server/{serverUuid}

List servers for a specific client

get

Retrieve a list of servers for a specific client with pagination.

Authorizations
X-API-KeystringRequired
Path parameters
clientIdintegerRequired

ID of the client

Example: 42
Query parameters
pageintegerOptional

Page number for pagination

Example: 1
limitintegerOptional

Number of items per page

Example: 15
filterstringOptional

Filters for server listing (e.g., status)

Example: status=delivered&tag[]=tag1&tag[]=tag2
Responses
200

Successful operation

application/json
get
/api/v1/client/{clientId}/server

Add a tag to a specific client server

post

Add a tag to a specific client server.

Authorizations
X-API-KeystringRequired
Path parameters
clientIdintegerRequired

ID of the client

Example: 42
serverUuidstring · uuidRequired

UUID of the server

Example: 550e8400-e29b-41d4-a716-446655440000
tagstringRequired

The tag to add

Example: my_tagPattern: ^[A-Za-z0-9_:-]{1,64}$
Responses
200

Successful operation

application/json
post
/api/v1/client/{clientId}/server/{serverUuid}/tag/{tag}

Remove a tag from a specific client server

delete

Remove a tag from a specific client server.

Authorizations
X-API-KeystringRequired
Path parameters
clientIdintegerRequired

ID of the client

Example: 42
serverUuidstring · uuidRequired

UUID of the server

Example: 550e8400-e29b-41d4-a716-446655440000
tagstringRequired

The tag to remove

Example: my_tagPattern: ^[A-Za-z0-9_:-]{1,64}$
Responses
200

Successful operation

application/json
delete
/api/v1/client/{clientId}/server/{serverUuid}/tag/{tag}

Get a specific tag for a specific client

get

Retrieve a speific tag for a specific client.

Authorizations
X-API-KeystringRequired
Path parameters
clientIdintegerRequired

ID of the client

Example: 42
tagstringRequired

The tag to list

Example: my_tagPattern: ^[A-Za-z0-9_:-]{1,64}$
Responses
200

Successful operation

application/json
get
/api/v1/client/{clientId}/tag/{tag}

Delete a tag for a specific client

delete

Delete a tag for a specific client.

Authorizations
X-API-KeystringRequired
Path parameters
clientIdintegerRequired

ID of the client

Example: 42
tagstringRequired

The tag to delete

Example: my_tagPattern: ^[A-Za-z0-9_:-]{1,64}$
Responses
delete
/api/v1/client/{clientId}/tag/{tag}

No content

Rename a tag for a specific client

patch

Rename a tag for a specific client.

Authorizations
X-API-KeystringRequired
Path parameters
clientIdintegerRequired

ID of the client

Example: 42
tagstringRequired

The tag to rename

Example: my_tagPattern: ^[A-Za-z0-9_:-]{1,64}$
Body
tagstringOptionalExample: my_tagPattern: ^[A-Za-z0-9_:-]{1,64}$
Responses
200

Successful operation

application/json
patch
/api/v1/client/{clientId}/tag/{tag}

List tags for a specific client

get

Retrieve a list of tags for a specific client with pagination.

Authorizations
X-API-KeystringRequired
Path parameters
clientIdintegerRequired

ID of the client

Example: 42
Responses
200

Successful operation

application/json
get
/api/v1/client/{clientId}/tag

Create a tag for a specific client

post

Create a tag for a specific client.

Authorizations
X-API-KeystringRequired
Path parameters
clientIdintegerRequired

ID of the client

Example: 42
Body
tagstringOptionalExample: my_tagPattern: ^[A-Za-z0-9_:-]{1,64}$
Responses
200

Successful operation

application/json
post
/api/v1/client/{clientId}/tag

Usage for 1 client endpoint

get

Usage for 1 client endpoint

Authorizations
X-API-KeystringRequired
Path parameters
clientIdintegerRequired

ID of the client

Query parameters
deliveredAtstring · datetimeOptionalExample: 2030-01-02 22:55:00
releasedAtstring · datetimeOptionalExample: 2030-01-15 22:55:00
limitintegerOptionalDefault: 15
pageintegerOptionalDefault: 1
Responses
200

Successful operation

application/json
get
/api/v1/client/{clientId}/usage

Last updated

Was this helpful?